varying vec3 normal;
varying vec4 color;

const float brightness = 3.0;
void main()
{
	vec4 vertex = vec4(gl_Vertex.xyz,1.0);
	float qq = clamp(gl_Vertex.w,-brightness,brightness);
	color = vec4(qq,1.0-abs(qq),-qq,1.0);
	gl_Position = (gl_ModelViewProjectionMatrix * vertex);
	normal = vec3(gl_NormalMatrix*gl_Normal);//
  
}
